Notification method for opening a server

- « MongoDB\Driver\Monitoring\SDAMSubscriber::serverHeartbeatSucceeded

- MongoDB\Driver\Monitoring\SDAMSubscriber::topologyChanged »

- PHP Manual
- MongoDB\Driver\Monitoring\SDAMSubscriber
- Notification method for opening a server

# MongoDB\Driver\Monitoring\SDAMSubscriber::serverOpening

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\SDAMSubscriber::serverOpening — Notification method for opening a server

### Description

abstract public MongoDB\Driver\Monitoring\SDAMSubscriber::serverOpening(MongoDB\Driver\Monitoring\ServerOpeningEvent `$event`): void

If the subscriber is registered, this method is called when a new server is added to the topology.

### Parameters

`event` (MongoDB\Driver\Monitoring\ServerOpeningEvent)

  An event object encapsulating information about the opened server.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\ServerOpeningEvent
- MongoDB\Driver\Monitoring\addSubscriber() - Registers a monitoring event subscriber globally
- MongoDB\Driver\Manager::addSubscriber() - Registers a monitoring event subscriber with this Manager